import aputils
import unittest

from datetime import timezone


class MiscTest(unittest.TestCase):
	def test_httpdate(self):
		output = aputils.HttpDate(2022, 11, 25, 6, 9, 42, tzinfo=timezone.utc)
		data = 'Fri, 25 Nov 2022 06:09:42 GMT'

		self.assertEqual(output.to_string(), data)


	def test_httpdate_parse(self):
		output = aputils.HttpDate.parse('Fri, 25 Nov 2022 06:09:42 GMT')
		data = aputils.HttpDate(2022, 11, 25, 6, 9, 42, tzinfo=timezone.utc)

		self.assertEqual(output, data)
